Bug 509579 - No way to change font size or DPI
No way to change font size or DPI
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: jmccann
Fedora Extras Quality Assurance
: FutureFeature, Triaged
Depends On:
Blocks: FedoraOnXO
  Show dependency treegraph
 
Reported: 2009-07-03 14:09 EDT by Christoph Wickert
Modified: 2015-01-14 18:23 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-01 20:53:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christoph Wickert 2009-07-03 14:09:25 EDT
Description of problem:
GDM has no way to change the font sizes or the DPI but always uses the sizes defined by the GTK theme and the DPI value autodetected from X. The display of the XO for example uses 200 DPI by default, so fonts are way to huge.

Version-Release number of selected component (if applicable):
gdm-2.26.1-10.fc11

How reproducible:
always

Steps to Reproduce:
1. Boot Fedora LiveCD from USB on the XO
  
Actual results:
The fonts are to huge and the drop downs overlap as described already half a year ago in bug 473453.

Expected results:
GDM should honor /etc/X11/Xresources or have a way to set Fonts and DPI values.
Comment 1 Christoph Wickert 2009-10-13 10:56:28 EDT
Changing version to rawhide to avoid that bug gets closed by the bugzappers.
Comment 2 Bug Zapper 2009-11-16 05:37:47 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Alex Lancaster 2009-11-20 02:27:55 EST
I can duplicate this in Fedora 11, will try F-12.
Comment 4 Christoph Wickert 2010-01-02 19:41:30 EST
(In reply to comment #2)
> Changing version to '12'.

Stupid bug zappers...
Comment 5 Ray Strode [halfline] 2010-01-05 10:09:14 EST
Hi, if you start up gconf-editor and go to /desktop/gnome/font_rendering/dpi change the value, then right click on it and choose "Set as Default" and then enter your root password, it should fix your issue.
Comment 6 Christoph Wickert 2010-01-05 10:22:53 EST
Thanks, but is there a way to do such a thing in kickstart, so we can actually do it in a spin?
Comment 7 Christoph Wickert 2010-11-01 20:53:24 EDT
For the record: Add something like this to %post:

gconftool-2 --direct --config-source=xml:readwrite:/etc/gconf/gconf.xml.defaults -s -t string /desktop/gnome/font_rendering/dpi 200 >/dev/null

I am now closing this bug.

Note You need to log in before you can comment on or make changes to this bug.